> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Generated Video

> Get information about a specific project using its ID.



## OpenAPI

````yaml GET /project
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /project:
    get:
      tags:
        - Get Generated Video
      summary: Get Project Information
      description: Get information about a specific project using its ID.
      parameters:
        - name: project_id
          in: query
          required: true
          schema:
            type: string
          description: The ID of the project to retrieve information for.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                            description: Project ID
                            example: fa6228c0f52c4f3986e88f7ffa5d2864
                          title:
                            type: string
                            description: Project title
                            example: welcome to jogg.ai
                          video_duration:
                            type: integer
                            description: Video duration in seconds
                            example: 6
                          video_url:
                            type: string
                            description: URL to the video output
                            example: https://res.jogg.ai/video.mp4
                          cover_url:
                            type: string
                            description: URL to the cover image
                            example: https://res.jogg.ai/cover.jpg
                          status_code:
                            type: integer
                            description: |



                              * 1 - start



                              * 2 - waiting



                              * 3 - processing



                              * 4 - success



                              * 5 - failed



                              * 99 - deleted
                            enum:
                              - 1
                              - 2
                              - 3
                              - 4
                              - 5
                              - 99
                            example: 4
                          status_desc:
                            type: string
                            description: Description of current progress
                            example: processing
                          created_at:
                            type: integer
                            description: Creation timestamp
                            example: 1732806631
components:
  schemas:
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````